#
# spec file for package xquarto (Version 2.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xquarto
Copyright:    GPL
Group:        X11/Games
Autoreqprov:  on
Version:      2.5
Release:      1
Source:       xquarto-2.5.tar.bz2
Patch:        xquarto-2.5.diff
URL:          ftp://ftp.ac-grenoble.fr/ge/educational_games/xquarto-2.5.tgz
BuildRoot:    %{_tmppath}/%{name}-build
Summary:      Xquarto is a board game designed for the X windows environment

%description
The game is a two-player game. Player 1 chooses one of the 16
pieces. Player 2 then places this piece on one of the 16 squares of
the board and chooses a piece out of the remaining 15 pieces which he
gives to player 1, who places this piece on one of the remaining 15
squares on the board, etc...
Xquarto supports three different player combinations: human vs
computer, computer vs human and human vs human (possibly through the
local network in the latter case). The default combination is human vs
computer, i.e. the human player starts the game against the
computer. This can be changed by clicking on the "Actions" menu (see
below for more details).

Authors:
--------
    Jean-Pierre Demailly 
    Jean-Mattias Jonsson 
    

%prep
%setup
%patch -p1

%build
xmkmf -a
make

%install
make DESTDIR=%{_tmppath}/%{name}-build install
make DESTDIR=%{_tmppath}/%{name}-build install.man

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%{_prefix}/games/bin/xquarto
%doc %{_prefix}/X11R6/man/man1/xquarto.1x.gz

%changelog -n xquarto
* Fri Oct 26 2001 - tcrhak@suse.cz
- New package: initial version 2.5
